curl --request GET \
--url https://api.pandabase.io/v2/core/stores/{storeId}/orders/payments/{paymentId} \
--header 'Authorization: Bearer <token>'{
"ok": true,
"data": {
"id": "<string>",
"referenceId": "<string>",
"amount": 123,
"discountAmount": 123,
"platformFeeAmount": 123,
"pspFeeAmount": 123,
"taxAmount": 123,
"totalAmount": 123,
"settledAmount": 123,
"status": "PENDING",
"pspProvider": "<string>",
"couponCode": "<string>",
"taxId": "<string>",
"ipAddress": "<string>",
"userAgent": "<string>",
"geo": {
"city": "<string>",
"region": "<string>",
"country": "<string>",
"postal": "<string>",
"asn": "<string>",
"org": "<string>"
},
"customer": {
"id": "<string>",
"email": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"guest": true
},
"order": {
"id": "<string>",
"orderNumber": "<string>",
"status": "PENDING",
"amount": 123,
"currency": "<string>"
},
"dispute": {
"id": "<string>",
"disputeId": "<string>",
"reason": "DUPLICATE_CHARGE",
"status": "AWAITING_REVIEW",
"hasEvidence": true,
"totalAmount": 123,
"amount": 123,
"fee": 123,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"timeline": [
{
"id": "<string>",
"eventType": "<string>",
"name": "<string>",
"description": "<string>",
"metadata": {},
"createdAt": "2023-11-07T05:31:56Z"
}
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}curl --request GET \
--url https://api.pandabase.io/v2/core/stores/{storeId}/orders/payments/{paymentId} \
--header 'Authorization: Bearer <token>'{
"ok": true,
"data": {
"id": "<string>",
"referenceId": "<string>",
"amount": 123,
"discountAmount": 123,
"platformFeeAmount": 123,
"pspFeeAmount": 123,
"taxAmount": 123,
"totalAmount": 123,
"settledAmount": 123,
"status": "PENDING",
"pspProvider": "<string>",
"couponCode": "<string>",
"taxId": "<string>",
"ipAddress": "<string>",
"userAgent": "<string>",
"geo": {
"city": "<string>",
"region": "<string>",
"country": "<string>",
"postal": "<string>",
"asn": "<string>",
"org": "<string>"
},
"customer": {
"id": "<string>",
"email": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"guest": true
},
"order": {
"id": "<string>",
"orderNumber": "<string>",
"status": "PENDING",
"amount": 123,
"currency": "<string>"
},
"dispute": {
"id": "<string>",
"disputeId": "<string>",
"reason": "DUPLICATE_CHARGE",
"status": "AWAITING_REVIEW",
"hasEvidence": true,
"totalAmount": 123,
"amount": 123,
"fee": 123,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"timeline": [
{
"id": "<string>",
"eventType": "<string>",
"name": "<string>",
"description": "<string>",
"metadata": {},
"createdAt": "2023-11-07T05:31:56Z"
}
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}Store API token. Use the sk_ prefixed secret key as the Bearer token.
Store ID (shp_ prefix)
12 - 48Payment ID (pmt_ prefix)
12 - 48